    A one-dimensional Blackbody model.

bbody

A model representing the ideal blackbody function. It can be used when the independent axis is in energy or wavelength space.

>>> create_model_component("bbody", "mdl")
>>> print(mdl)

Create a component of the bbody model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.space frozen 0 0 1 0 - energy | 1 - wave mdl.kT thawed 1 0.1 1000 keV mdl.ampl thawed 1 1e-20 1e+20

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
space
Switch to select whether the independent axis is energy or wavelength. This parameter is not fit ( alwaysfrozen is set), and should be set to either 0, when the independent axis is energy with units of keV, or 1 when the axis is wavelength with units of Angstrom.
kT
The temperature if the blackbody, in keV.
ampl
The amplitude of the blackbody component.

Notes

The blackbody emission is calculated as a function of energy using the expression:

f(E) = ampl * E^2 / (exp(E / kT) - 1)

where E is the photon energy, and kT is the blackbody temperature (both in keV). The amplitude, ampl, is related to the ratio of source radius to distance by:

ampl = (2 * pi / (c^2 * h^3)) (R / d)^2 = 9.884 x 10^31 (R / d)^2

with Planck's constant (h) specified in keV-s and the speed of light (c) specified in cm/s, and with R and d representing the radius of, and distance to, the source respectively.

There are two conditions when the above equation is not used:

if E/kt < 10^-4 then f(E) = ampl * E * kT
if E/kT > 60, f(E) = 0.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023